=== debian/changelog ===
cyrus-sasl2 (2.1.23.dfsg1-3maemo2) fremantle; urgency=low

  * Fix missed depends 

 -- Bryan Jacobs <b@q3q.us>  Thu, 13 Jan 2011 08:42:17 +0300

cyrus-sasl2 (2.1.23.dfsg1-3maemo1) fremantle; urgency=low

  * Modified to use db4.2 instead of db4.7
  * Disable PAM auth
  * Delete libopie (One-Time Passwords) support by removing build-dep
  * Disable MIT Kerberos GSSAPI support

 -- Bryan Jacobs <b@q3q.us>  Fri, 01 Jan 2010 20:52:06 -0500

cyrus-sasl2 (2.1.23.dfsg1-3) unstable; urgency=low

  * Acknowledge NMU (Thanks to Christian Perrier)
  * Change package priority important -> standard, because of override
    disparity email

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 07 Nov 2009 09:31:23 -0500

cyrus-sasl2 (2.1.23.dfsg1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - French (Odile Bénassy).  Closes: #518593

 -- Christian Perrier <bubulle@debian.org>  Sat, 07 Nov 2009 08:04:09 +0100

cyrus-sasl2 (2.1.23.dfsg1-2) unstable; urgency=high

  [ Fabian Fagerholm ]
  * debian/control: Change Vcs-* fields to point to trunk.
  * debian/rules: Remove build-indep-stamp and build-arch-stamp when cleaning
    up (from Ubuntu) (Closes: #516538).
  * debian/patches/0014_avoid_pic_overwrite.dpatch: Also apply to
    lib/Makefile.am. Thanks to Amadeu A. Barbosa Jr. (Closes: #502910)

  [ Roberto C. Sanchez ]
  * Acknowledge NMU (thanks to Andreas Barth)
  * Document the sync mechanism between cyrus-sasl2 and cyrus-sasl2-heimdal.
    Urgency 'high' since current package is uninstallable.
  * Bump Standards-Version to 3.8.3 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 07 Oct 2009 21:45:57 -0400

cyrus-sasl2 (2.1.23.dfsg1-1.1) unstable; urgency=medium

  * Build-Depend also on mysqlclient-dev. Closes: #542904
  * Conflict cyrus-sasl2-heimdal-dbg as both packages provide the file 
    /usr/lib/debug/usr/lib/sasl2/libgssapiv2.so.2.0.23 Closes: #530781

 -- Andreas Barth <aba@not.so.argh.org>  Sat, 29 Aug 2009 11:47:55 +0200

cyrus-sasl2 (2.1.23.dfsg1-1) unstable; urgency=high

  * New upstream release
    - Security fix for CVE-2009-0688 (Closes: #528749).
    - debian/patches/0020_saslauthd_manpage.dpatch: Remove, integrated
      upstream.
    - debian/rules: Change chrpath invocation to match new version number of
      libsql.so.

 -- Fabian Fagerholm <fabbe@debian.org>  Sun, 24 May 2009 20:56:01 +0300

cyrus-sasl2 (2.1.22.dfsg1-26) UNRELEASED; urgency=low

  * NOT RELEASED
  * debian/control: Set section to debug to match override.

 -- Fabian Fagerholm <fabbe@debian.org>  Sun, 10 May 2009 09:55:01 +0300

cyrus-sasl2 (2.1.22.dfsg1-25) unstable; urgency=high

  * debian/patches/0017_db4.7.dpatch: Update db4.6 patch to db4.7.
    (Closes: #523007)

 -- Fabian Fagerholm <fabbe@debian.org>  Sun, 10 May 2009 08:51:30 +0300

cyrus-sasl2 (2.1.22.dfsg1-24) unstable; urgency=high

  [ Fabian Fagerholm ]
  * debian/patches/0021_no_mutex_changes_after_init.dpatch: Added patch to
    disallow mutex function changes once sasl_client_init and/or
    sasl_server_init have been called. Hand-picked and applied from upstream
    CVS revision 1.117, thanks to Eric Leblond. (Closes: #499770)
  * debian/control: Add ${misc:Depends} to applicable binary packages.
  * debian/rules, debian/libsasl2-modules, debian/libsasl2-modules-otp,
    debian/sasl2-bin: Add overrides for possible-gpl-code-linked-with-openssl
    lintian error.
  * debian/source.lintian-overrides: Add override for ancient-libtool lintian
    warning.
  * debian/sasl2-bin.postinst: Use set -e.
  * debian/patches/0022_gcc4.4_preprocessor_syntax.dpatch: Added patch to use
    test condition for #elif preprocessor directive. Required by GCC 4.4.
    Thanks to Martin Michlmayr. (Closes: #505042)
  * debian/cyrus-sasl2-dbg.dirs, debian/cyrus-sasl2-dbg.lintian-overrides,
    debian/rules: Add override because our -dbg package is not standardly
    named.
  * debian/control: Bump libdb version to 4.7. (Closes: #523007)
  * debian/sasl2-bin.postinst: Update to reflect libdb version change.
    Not strictly necessary since there were no database format changes
    betweek 4.6 and 4.7, but in the interest of completeness...

 -- Fabian Fagerholm <fabbe@debian.org>  Sat, 09 May 2009 22:56:52 +0300

cyrus-sasl2 (2.1.22.dfsg1-23) unstable; urgency=low

  * Add README.source to comply with Standards-Version 3.8.0
  * Fix watch file to use dversionmangle instead of uversionmangle

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 01 Sep 2008 11:05:12 -0400

cyrus-sasl2 (2.1.22.dfsg1-22) unstable; urgency=low

  [ Roberto C. Sanchez ]
  * Added Slovak translation, thanks to Ivan Masár (Closes: #489268)

  [ Fabian Fagerholm ]
  * Added Japanese translation, thanks to Hideki Yamane. (Closes: #493004)
  * Bump standards-version.

 -- Fabian Fagerholm <fabbe@debian.org>  Sat, 02 Aug 2008 15:57:11 +0300

cyrus-sasl2 (2.1.22.dfsg1-21) unstable; urgency=high

  [ Fabian Fagerholm ]
  * Add Basque translation, thanks to Piarres Beobide. (Closes: #481541)
  * Install README.Debian into libsasl2-2 package. (Closes: #485289)

  [ Roberto C. Sanchez ]
  * Remove bashism from debian/rules. (Closes: #484374)
  * Add Homepage field to debian/control.

 -- Fabian Fagerholm <fabbe@debian.org>  Mon, 09 Jun 2008 21:27:23 +0300

cyrus-sasl2 (2.1.22.dfsg1-20) unstable; urgency=high

  [ Fabian Fagerholm ]
  * debian/sasl2-bin.saslauthd.default, debian/sasl2-bin.README.Debian:
    Include warnings about running saslauthd with the -d option.
    (Closes: #474311)
  * debian/control: Adjust priorities to be consistent and policy-compliant.
    (Closes: #471534)
  * debian/rules: Remove generated man pages in clean target. (Partial sync
    with Ubuntu.)
  * debian/sasl2-bin.saslauthd.init: Remove bashism in init script.
    (Closes: #480613) Urgency set to high because of lenny release goal to
    make dash the default /bin/sh.


