=== debian/control ===
Source: cyrus-sasl2
Section: libs
Priority: standard
Maintainer: Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>
Uploaders: Fabian Fagerholm <fabbe@debian.org>, Roberto C. Sanchez <roberto@connexer.com>
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 5.0.0), dpatch, autotools-dev, automake1.9, autoconf, libtool, libdb4.2-dev, libssl-dev (>= 0.9.7e-3), libmysqlclient-dev | libmysqlclient15-dev (>= 5.0.20), libpq-dev (>= 8.1.3-4), libsqlite0-dev (>= 2.8.16), libldap2-dev (>= 2.1.30-8), chrpath, groff-base, debconf (>= 0.5) | debconf-2.0, po-debconf, docbook-to-man
Vcs-Browser: http://svn.debian.org/wsvn/pkg-cyrus-sasl2/cyrus-sasl-2.1/trunk/
Vcs-Svn: svn://svn.debian.org/svn/pkg-cyrus-sasl2/cyrus-sasl-2.1/trunk/
Homepage: http://asg.web.cmu.edu/sasl/sasl-library.html

Package: sasl2-bin
Section: utils
Priority: optional
Architecture: any
Depends: libsasl2-2 (>= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), debconf (>= 1.4.69)
Description: Cyrus SASL - administration programs for SASL users database
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package contains administration programs for the SASL users
 database and common binary files for plugin modules.    

Package: cyrus-sasl2-doc
Section: doc
Priority: optional
Architecture: all
Depends: ${misc:Depends}
Description: Cyrus SASL - documentation
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package contains documentation for system administrators.

Package: libsasl2-2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: postfix (<< 2.3.4-3), libsasl2-gssapi-mit (<< 2.1.22), libsasl2-krb4-mit (<< 2.1.22)
Recommends: libsasl2-modules (= ${binary:Version})
Replaces: libsasl2
Description: Cyrus SASL - authentication abstraction library
 This is the Cyrus SASL API implementation, version 2.1.
 .
 SASL is the Simple Authentication and Security Layer, a method for
 adding authentication support to connection-based protocols. To use
 SASL, a protocol includes a command for identifying and
 authenticating a user to a server and for optionally negotiating
 protection of subsequent protocol interactions. If its use is
 negotiated, a security layer is inserted between the protocol and the
 connection. See RFC 2222 for more information.
 .
 Any of: ANONYMOUS, CRAM-MD5, DIGEST-MD5, GSSAPI (MIT or Heimdal
 Kerberos 5), NTLM, OTP, PLAIN, or LOGIN can be used. If you intend to
 use this package on a server that provides SASL authentication, then
 you must install some of the libsasl2-modules* packages.

Package: libsasl2-modules
Priority: optional
Architecture: any
Depends: libsasl2-2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: libsasl2-modules-otp, libsasl2-modules-ldap, libsasl2-modules-sql, libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
Description: Cyrus SASL - pluggable authentication modules
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the following SASL modules: LOGIN, PLAIN, ANONYMOUS,
 NTLM, CRAM-MD5, and DIGEST-MD5 (with DES support).

Package: libsasl2-modules-ldap
Priority: extra
Architecture: any
Depends: libsasl2-modules (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Cyrus SASL - pluggable authentication modules (LDAP)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the LDAP plugin, which supports OpenLDAP.

Package: libsasl2-modules-otp
Priority: extra
Architecture: any
Depends: libsasl2-modules (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: libsasl2-modules (<< 2.1.22~)
Description: Cyrus SASL - pluggable authentication modules (OTP)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the OTP plugin, which supports one time passwords.

Package: libsasl2-modules-sql
Priority: extra
Architecture: any
Depends: libsasl2-modules (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Cyrus SASL - pluggable authentication modules (SQL)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the SQL plugin, which supports MySQL, PostgreSQL
 and SQLite.

Package: libsasl2-dev
Section: libdevel
Architecture: any
Priority: optional
Depends: libsasl2-modules (= ${binary:Version}), libc6-dev, ${misc:Depends}
Conflicts: libsasl2-2-dev
Replaces: libsasl2-2-dev
Description: Cyrus SASL - development files for authentication abstraction library
 This is the Cyrus SASL API implementation, version 2. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package includes development files for compiling programs with SASL
 support. It is needed for development purposes only.

Package: cyrus-sasl2-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libsasl2-2 (= ${binary:Version}), ${misc:Depends}
Conflicts: cyrus-sasl2-heimdal-dbg
Description: Cyrus SASL - debugging symbols
 This is the Cyrus SASL API implementation, version 2. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package contains the debugging symbols for all Cyrus SASL packages.
 The debugging symbols can be useful when investigating crashes in the SASL
 library or tools. You may be asked to install this package if you encounter
 such a crash.
