## cyrus-sasl2 2.1.24~rc1.dfsg1+cvs2011-05-23

=== debian/changelog ===
cyrus-sasl2 (2.1.24~rc1.dfsg1+cvs2011-05-23-4ubuntu2) oneiric; urgency=low

  * Build for multiarch.  LP: #826601.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 15 Aug 2011 15:30:56 -0700

cyrus-sasl2 (2.1.24~rc1.dfsg1+cvs2011-05-23-4ubuntu1) oneiric; urgency=low

  * Fix FTBFS with newer versions of Heimdal. LP: #825872

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 13 Aug 2011 18:00:52 +0200

cyrus-sasl2 (2.1.24~rc1.dfsg1+cvs2011-05-23-4) unstable; urgency=low

  * Fix yet another upstream segfault breakage in GSSAPI from CVS
    (Closes: #629589)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 08 Jun 2011 08:37:13 +0200

cyrus-sasl2 (2.1.24~rc1.dfsg1+cvs2011-05-23-3) unstable; urgency=low

  [ Dan White ]
  * Fix GSSAPI breakage by reverting revision 1.103 of plugins/gssapi.c
    (Closes: #628525)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 07 Jun 2011 11:14:18 +0200

cyrus-sasl2 (2.1.24~rc1.dfsg1+cvs2011-05-23-2) unstable; urgency=low

  * Upload to unstable
  * One more AC_CACHE_VAL without _cv_ fix
  * Update Vcs-* links
  * Add gs2 and scram modules to libsasl2-modules-gssapi-mit
    (Closes: #628067)
  * Revert "Change gbp.conf for experimental branch"
  * Add lintian-override for libsasl2-modules-gssapi-mit: possible-gpl-
    code-linked-with-openssl

 -- Ondřej Surý <ondrej@debian.org>  Fri, 27 May 2011 17:05:30 +0200

cyrus-sasl2 (2.1.24~rc1.dfsg1+cvs2011-05-23-1) experimental; urgency=low

  * Imported Upstream version 2.1.24~rc1.dfsg1+cvs2011-05-23
  * Adapt patches to new CVS checkout
  * Upload to experimental first to be sure everything works

 -- Ondřej Surý <ondrej@debian.org>  Thu, 26 May 2011 10:38:59 +0200

cyrus-sasl2 (2.1.24~rc1.dfsg1-1) unstable; urgency=low

  [ Roberto C. Sanchez ]
  * libsasl2-2.README.Debian: document that SASL logs debug messages by
    default, and how change/stop it (Closes: #590598)
  * Bump Standards-Version to 3.9.2 (no changes)
  * Remove Build-Depends on libopie-dev, which was removed
    (Closes: #622221)

  [ Ondřej Surý ]
  * Patch to support newer Berkeley DB (Closes: #621437)
  * Remove /etc/sasldb2 in prerm remove if empty (Closes: #618885)
  * Improve Berkeley DB upgrade code to note the used version in
    berkeley_db.active file and compare it with current version
  * Convert debian/rules to debhelper7
  * Update Vcs-* and Homepage fields
  * Fix autoreconf by adding some recommended options to configure.in
    and Makefile.am
  * Imported Upstream version 2.1.24~rc1.dfsg1
  * Update patches to new release
  * Update repack.sh
  * Build against sqlite3 since upstream has a support for it
    (Closes: #444799)
  * Fix FTBFS in LDAP plugin
  * Don't use .la files to open plugins, just scan .so
  * Set configdir to /etc/sasl2:/etc/sasl:/usr/lib/sasl2
    (Closes: #465569)
  * Stop shipping .la and .a files for all modules (Closes: #516833)
  * sasl2-bin can depend on generic db-util package now
  * Add myself to uploaders
  * Removed hardcoded -R option when searching for sqlite libraries
  * Fix Sqlite3 FTBFS due missing link libraries in plugins/

 -- Ondřej Surý <ondrej@debian.org>  Wed, 25 May 2011 21:57:11 +0200

cyrus-sasl2 (2.1.23.dfsg1-8) unstable; urgency=low

  * Eliminate getsubopt conflict when building with glibc 2.2, thanks to
    Colin Watson for the patch (Closes: #588528)
  * Convert package from using dpatch to using quilt
  * debian/sasl2-bin.saslauthd.init: Properly handle $(OPTIONS) missing from
    defaults file (Closes: #515534)
  * Bump Standards-Version to 3.9.1 (no changes)
  * cyrus-sasl2-dbg: Demote dependency on cyrus-sasl2-{mit,heimdal}-dbg to
    a recommendation (Closes: #607558)
  * Enable hardening features (Closes: #542725)
  * Fix FTBFS, add $(SASL_DB_LIB) as dependency to libsasldb, and use it.
    Thanks to Matthias Klose for the patch (Closes: #609237)
  * Drop gratuitous dependency on krb5support (Closes: #528238)
  * Ship docs on testing with sasl-sample-{client,server} (Closes: #516542)
  * Allow getting saslauthd status with '/etc/init.d/saslauthd status'.
    Thanks to Raoul Bhatia for the patch (Closes: #589181)
  * Fix documentation on saslauthd runtime directory perms (Closes: #528554)
  * Add Danish translation, thanks to Joe Dalton.  (Closes: #585553)
  * Change to machine readable copyright file (Closes: 470948)
  * Improve documentation on location of socket directory based on whether
    Postfix runs inside or outside a chroot, thanks to Walter Rohrer for the
    suggestion.  (Closes: #528553)
  * Start shipping gen-auth (Closes: #459624)
  * Switch to dpkg-source 3.0 (quilt) format.
  * Drop Conflicts/Replaces for pre-Lenny and pre-Sarge versions of packages

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 16 Mar 2011 22:42:49 -0400

cyrus-sasl2 (2.1.23.dfsg1-7) unstable; urgency=low

  [ Luca Capello ]
  * Fix for (Closes: #601977), the idea coming from Gaudenz Steinlin
    <gaudenz@debian.org>:
    + debian/control:
      - cyrus-sasl2-dbg Depends: on one of the two GSSAPI dbg packages.
      - new cyrus-sasl2-mit-dbg package which Conflicts: with
        cyrus-sasl2-heimdal-dbg.
      - cyrus-sasl2-heimdal-dbg now Conflicts: with cyrus-sasl2-mit-dbg.
    + debian/cyrus-sasl2-heimdal-dbg.preinst:
      - remove, useless.
    + debian/cyrus-sasl2-heimdal-dbg.postrm:
      - remove, useless.
    + debian/cyrus-sasl2-mit-dbg.dirs:
      - create /usr/lib/debug/usr/lib/sasl2/.
    + debian/rules:
      - mv MIT libgssapiv2.so.2.0.23 into cyrus-sasl2-mit-dbg.

  [ Roberto C. Sanchez ]
  * Thanks to Luca Capello for providing the patch.

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 18 Dec 2010 11:14:59 -0500

cyrus-sasl2 (2.1.23.dfsg1-6) unstable; urgency=low

  * Acknowledge NMU (thanks to Ben Hutchings)
  * Merge cyrus-sasl2 and cyrus-sasl2-heimdal source packages (Closes: #568358)
    + Build against new heimdal-multidev (Closes: #591147)
  * Properly detect presence of Heimdal (Closes: #590912); thanks tremendously
    to Russ Allbery for the patch


