## cyrus-sasl2 2.1.25.dfsg1

=== debian/changelog ===
cyrus-sasl2 (2.1.25.dfsg1-3ubuntu0.1) precise-proposed; urgency=low

  * Fix ABI incompatability during slapd upgrades (LP: #990742):
    - debian/control: Set Breaks: 'slapd < 2.4.25-4' on libsasl2-2.
    - debian/rules: Introduce shlib dependency on 2.1.24 for libsasl2-2.

 -- Adam Gandelman <adamg@canonical.com>  Thu, 03 May 2012 12:39:35 -0700

cyrus-sasl2 (2.1.25.dfsg1-3) unstable; urgency=low

  [ Thomas Preud'homme ]
  * Stop relying on the structure of debugging package
    (Closes: #653725).

 -- Ondřej Surý <ondrej@debian.org>  Wed, 18 Jan 2012 08:47:04 +0100

cyrus-sasl2 (2.1.25.dfsg1-2) unstable; urgency=low

  [ Roberto C. Sanchez ]  
  * Update README.source to reflect quilt usage instead of dpatch

  [ Ondřej Surý ]
  * Fix missing pam library due MultiArch (Closes: #643331)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 27 Sep 2011 13:00:26 +0200

cyrus-sasl2 (2.1.25.dfsg1-1) unstable; urgency=low

  * Imported Upstream version 2.1.25.dfsg1
  * Refresh patches to the new release
  * sasldbconverter2.8 man page was removed from upstream tarball
  * Adapt debian/rules to SONAME change
  * Fix FTBFS with MultiArch heimdal libraries (Closes: #642681)
  * Add Catalan translation (Closes: #641826)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 26 Sep 2011 10:08:32 +0200

cyrus-sasl2 (2.1.24~rc1.dfsg1+cvs2011-05-23-6) unstable; urgency=low

  * Add Breaks: postfix (<= 2.8.3-1) so it doesn't get upgraded until
    postfix sasl code is ready for MultiArch

 -- Ondřej Surý <ondrej@debian.org>  Wed, 17 Aug 2011 16:03:29 +0200

cyrus-sasl2 (2.1.24~rc1.dfsg1+cvs2011-05-23-5) unstable; urgency=low

  * Add MultiArch support (Courtesy of Steve Langasek) (Closes: #637968)
  * Add both patch(es) to fix authentication issue with dovecot
    (Closes: #635246)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 16 Aug 2011 09:43:32 +0200
