=== debian/rules ===
--- 
+++ 
@@ -77,7 +77,7 @@
 	--with-pgsql=/usr/include/postgresql \
 	$(CONFIGURE_LDAPDB) \
 	--disable-macos-framework \
-	--with-pam \
+	--with-pam=/usr \
 	--with-saslauthd=/var/run/saslauthd \
 	$(CONFIGURE_LDAP) \
 	--with-configdir=/etc/sasl2:/etc/sasl:/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2:/usr/lib/sasl2 \
@@ -194,8 +194,6 @@
 	install -m 644 $(CURDIR)/debian/testsaslauthd.8 \
 		$(TMPPKG_MIT)/usr/share/man/man8/testsaslauthd.8
 	mv $(TMPPKG_MIT)/usr/sbin/dbconverter-2 $(TMPPKG_MIT)/usr/sbin/sasldbconverter2
-	install -m 644 utils/sasldbconverter2.8 \
-		$(TMPPKG_MIT)/usr/share/man/man8/sasldbconverter2.8
 
 	# Install sample-{client,server} with Debianized names
 	install -m 755 -D $(CURDIR)/sample/sample-client \
@@ -206,7 +204,7 @@
 	# Alter the rpath of certain binaries and shared libraries.
 	chrpath -d $(TMPPKG_MIT)/usr/sbin/sasldblistusers2 \
 		$(TMPPKG_MIT)/usr/sbin/saslpasswd2
-	chrpath -d $(TMPPKG_MIT)/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2/libsql.so.2.0.24
+	chrpath -d $(TMPPKG_MIT)/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2/libsql.so.2.0.*
 
 	# Install the sasl-sample-client and -server man pages.
 	dh_installman -psasl2-bin sasl-sample-client.8 sasl-sample-server.8
@@ -218,3 +216,7 @@
 		$(TMPPKG_MIT)/usr/bin/saslfinger
 
 	# Install gen-auth
+	install -m 755 -D $(CURDIR)/debian/gen-auth/gen-auth \
+		$(TMPPKG_MIT)/usr/bin/gen-auth
+
+override_dh_install:
